       IDENTIFICATION DIVISION.
       PROGRAM-ID.    CBWAITC1.
       AUTHOR.        SIMOTIME TECHNOLOGIES.
      *****************************************************************
       DATA DIVISION.
       WORKING-STORAGE SECTION.

      *****************************************************************
      * Message Buffer used by the Z-DISPLAY-MESSAGE-TEXT routine.    *
      *****************************************************************
       01  MESSAGE-BUFFER.
           05  MESSAGE-HEADER      pic X(11)   value '* CBWAITC1 '.
           05  MESSAGE-TEXT.
               10  MESSAGE-TEXT-1  pic X(68)   value SPACES.
               10  MESSAGE-TEXT-2  pic X(188)  value SPACES.

       COPY PAWAITER.

      *****************************************************************
       PROCEDURE DIVISION.

           add 11 to ZERO giving MFWAITER-LENGTH
           move '00:00:15:00' to MFWAITER-TIME
           call 'MFWAITER' using MFWAITER-PASS-AREA
           GOBACK.

      *****************************************************************
      * Display CONSOLE messages...                                   *
      *****************************************************************
       Z-DISPLAY-MESSAGE-TEXT.
           if MESSAGE-TEXT-2 = SPACES
               display MESSAGE-BUFFER(1:79)
           else
               display MESSAGE-BUFFER
           end-if
           move all SPACES to MESSAGE-TEXT
           exit.
